[openssl-commits] [openssl] master update
Rich Salz
rsalz at openssl.org
Wed May 3 18:20:13 UTC 2017
The branch master has been updated
via 37192a92d744f8e15e46a2bac3019582fdafd2ba (commit)
via 199b24606103e82bc3d37935fb06a7fbd58f90c2 (commit)
via 5038e325f70d709e2a78ba6760a79a2f3d22f990 (commit)
via ce1e11bc6f1dcea5c024b2a17626e5035beec9d2 (commit)
from 1f6359db729fa46364435b4899331296d2b91c65 (commit)
- Log -----------------------------------------------------------------
commit 37192a92d744f8e15e46a2bac3019582fdafd2ba
Author: Rich Salz <rsalz at openssl.org>
Date: Tue May 2 15:54:03 2017 -0400
Fix curly braces on util/mkrc.pl
Reviewed-by: Richard Levitte <levitte at openssl.org>
(Merged from https://github.com/openssl/openssl/pull/3368)
commit 199b24606103e82bc3d37935fb06a7fbd58f90c2
Author: Rich Salz <rsalz at openssl.org>
Date: Tue May 2 15:38:37 2017 -0400
Run perltidy, use strict+warnings on mkrc.pl
Reviewed-by: Richard Levitte <levitte at openssl.org>
(Merged from https://github.com/openssl/openssl/pull/3368)
commit 5038e325f70d709e2a78ba6760a79a2f3d22f990
Author: Rich Salz <rsalz at openssl.org>
Date: Tue May 2 15:28:33 2017 -0400
Perltidy ck_errf
Reviewed-by: Richard Levitte <levitte at openssl.org>
(Merged from https://github.com/openssl/openssl/pull/3368)
commit ce1e11bc6f1dcea5c024b2a17626e5035beec9d2
Author: Rich Salz <rsalz at openssl.org>
Date: Tue May 2 15:24:47 2017 -0400
Remove some unused scripts
Reviewed-by: Richard Levitte <levitte at openssl.org>
(Merged from https://github.com/openssl/openssl/pull/3368)
-----------------------------------------------------------------------
Summary of changes:
util/ck_errf.pl | 99 +++++++++++++------------
util/mkcerts.sh | 220 -------------------------------------------------------
util/mkrc.pl | 45 +++++++-----
util/point.sh | 10 ---
util/selftest.pl | 207 ---------------------------------------------------
5 files changed, 79 insertions(+), 502 deletions(-)
delete mode 100755 util/mkcerts.sh
delete mode 100755 util/point.sh
delete mode 100644 util/selftest.pl
diff --git a/util/ck_errf.pl b/util/ck_errf.pl
index 01ed905..ada2352 100755
--- a/util/ck_errf.pl
+++ b/util/ck_errf.pl
@@ -13,58 +13,63 @@
# perl util/ck_errf.pl */*.c */*/*.c
#
+use strict;
+use warnings;
+
my $err_strict = 0;
-my $bad = 0;
+my $bad = 0;
+
+foreach my $file (@ARGV) {
+ if ( $file eq "-strict" ) {
+ $err_strict = 1;
+ next;
+ }
+ open( IN, "<$file" ) || die "Can't open $file, $!";
+ my $func = "";
+ while (<IN>) {
+ if ( !/;$/ && /^\**([a-zA-Z_].*[\s*])?([A-Za-z_0-9]+)\(.*([),]|$)/ ) {
+ /^([^()]*(\([^()]*\)[^()]*)*)\(/;
+ $1 =~ /([A-Za-z_0-9]*)$/;
+ $func = $1;
+ $func =~ tr/A-Z/a-z/;
+ }
+ if ( /([A-Z0-9]+)err\(([^,]+)/ && !/ckerr_ignore/ ) {
+ my $errlib = $1;
+ my $n = $2;
-foreach $file (@ARGV)
- {
- if ($file eq "-strict")
- {
- $err_strict = 1;
- next;
- }
- open(IN,"<$file") || die "unable to open $file\n";
- $func="";
- while (<IN>)
- {
- if (!/;$/ && /^\**([a-zA-Z_].*[\s*])?([A-Za-z_0-9]+)\(.*([),]|$)/)
- {
- /^([^()]*(\([^()]*\)[^()]*)*)\(/;
- $1 =~ /([A-Za-z_0-9]*)$/;
- $func = $1;
- $func =~ tr/A-Z/a-z/;
- }
- if (/([A-Z0-9]+)err\(([^,]+)/ && ! /ckerr_ignore/)
- {
- $errlib=$1;
- $n=$2;
+ if ( $func eq "" ) {
+ print "$file:$.:???:$n\n";
+ $bad = 1;
+ next;
+ }
- if ($func eq "")
- { print "$file:$.:???:$n\n"; $bad = 1; next; }
+ if ( $n !~ /([^_]+)_F_(.+)$/ ) {
+ #print "check -$file:$.:$func:$n\n";
+ next;
+ }
+ my $lib = $1;
+ $n = $2;
- if ($n !~ /([^_]+)_F_(.+)$/)
- {
- # print "check -$file:$.:$func:$n\n";
- next;
- }
- $lib=$1;
- $n=$2;
+ if ( $lib ne $errlib ) {
+ print "$file:$.:$func:$n [${errlib}err]\n";
+ $bad = 1;
+ next;
+ }
- if ($lib ne $errlib)
- { print "$file:$.:$func:$n [${errlib}err]\n"; $bad = 1; next; }
+ $n =~ tr/A-Z/a-z/;
+ if ( $n ne $func && $errlib ne "SYS" ) {
+ print "$file:$.:$func:$n\n";
+ $bad = 1;
+ next;
+ }
- $n =~ tr/A-Z/a-z/;
- if (($n ne $func) && ($errlib ne "SYS"))
- { print "$file:$.:$func:$n\n"; $bad = 1; next; }
- # print "$func:$1\n";
- }
- }
- close(IN);
+ # print "$func:$1\n";
}
+ }
+ close(IN);
+}
-if ($bad && $err_strict)
- {
- print STDERR "FATAL: error discrepancy\n";
- exit 1;
- }
-
+if ( $bad && $err_strict ) {
+ print STDERR "FATAL: error discrepancy\n";
+ exit 1;
+}
diff --git a/util/mkcerts.sh b/util/mkcerts.sh
deleted file mode 100755
index e4a9892..0000000
--- a/util/mkcerts.sh
+++ /dev/null
@@ -1,220 +0,0 @@
-#!/bin/sh
-
-# This script will re-make all the required certs.
-# cd apps
-# sh ../util/mkcerts.sh
-# mv ca-cert.pem pca-cert.pem ../certs
-# cd ..
-# cat certs/*.pem >>apps/server.pem
-# cat certs/*.pem >>apps/server2.pem
-# SSLEAY=`pwd`/apps/ssleay; export SSLEAY
-# sh tools/c_rehash certs
-#
-
-CAbits=1024
-SSLEAY="../apps/openssl"
-CONF="-config ../apps/openssl.cnf"
-
-# create pca request.
-echo creating $CAbits bit PCA cert request
-$SSLEAY req $CONF \
- -new -sha256 -newkey $CAbits \
- -keyout pca-key.pem \
- -out pca-req.pem -nodes >/dev/null <<EOF
-AU
-Queensland
-.
-CryptSoft Pty Ltd
-.
-Test PCA (1024 bit)
-
-
-
-EOF
-
-if [ $? != 0 ]; then
- echo problems generating PCA request
- exit 1
-fi
-
-#sign it.
-echo
-echo self signing PCA
-$SSLEAY x509 -sha256 -days 36525 \
- -req -signkey pca-key.pem \
- -CAcreateserial -CAserial pca-cert.srl \
- -in pca-req.pem -out pca-cert.pem
-
-if [ $? != 0 ]; then
- echo problems self signing PCA cert
- exit 1
-fi
-echo
-
-# create ca request.
-echo creating $CAbits bit CA cert request
-$SSLEAY req $CONF \
- -new -sha256 -newkey $CAbits \
- -keyout ca-key.pem \
- -out ca-req.pem -nodes >/dev/null <<EOF
-AU
-Queensland
-.
-CryptSoft Pty Ltd
-.
-Test CA (1024 bit)
-
-
-
-EOF
-
-if [ $? != 0 ]; then
- echo problems generating CA request
- exit 1
-fi
-
-#sign it.
-echo
-echo signing CA
-$SSLEAY x509 -sha256 -days 36525 \
- -req \
- -CAcreateserial -CAserial pca-cert.srl \
- -CA pca-cert.pem -CAkey pca-key.pem \
- -in ca-req.pem -out ca-cert.pem
-
-if [ $? != 0 ]; then
- echo problems signing CA cert
- exit 1
-fi
-echo
-
-# create server request.
-echo creating 512 bit server cert request
-$SSLEAY req $CONF \
- -new -sha256 -newkey 512 \
- -keyout s512-key.pem \
- -out s512-req.pem -nodes >/dev/null <<EOF
-AU
-Queensland
-.
-CryptSoft Pty Ltd
-.
-Server test cert (512 bit)
-
-
-
-EOF
-
-if [ $? != 0 ]; then
- echo problems generating 512 bit server cert request
- exit 1
-fi
-
-#sign it.
-echo
-echo signing 512 bit server cert
-$SSLEAY x509 -sha256 -days 36525 \
- -req \
- -CAcreateserial -CAserial ca-cert.srl \
- -CA ca-cert.pem -CAkey ca-key.pem \
- -in s512-req.pem -out server.pem
-
-if [ $? != 0 ]; then
- echo problems signing 512 bit server cert
- exit 1
-fi
-echo
-
-# create 1024 bit server request.
-echo creating 1024 bit server cert request
-$SSLEAY req $CONF \
- -new -sha256 -newkey 1024 \
- -keyout s1024key.pem \
- -out s1024req.pem -nodes >/dev/null <<EOF
-AU
-Queensland
-.
-CryptSoft Pty Ltd
-.
-Server test cert (1024 bit)
-
-
-
-EOF
-
-if [ $? != 0 ]; then
- echo problems generating 1024 bit server cert request
- exit 1
-fi
-
-#sign it.
-echo
-echo signing 1024 bit server cert
-$SSLEAY x509 -sha256 -days 36525 \
- -req \
- -CAcreateserial -CAserial ca-cert.srl \
- -CA ca-cert.pem -CAkey ca-key.pem \
- -in s1024req.pem -out server2.pem
-
-if [ $? != 0 ]; then
- echo problems signing 1024 bit server cert
- exit 1
-fi
-echo
-
-# create 512 bit client request.
-echo creating 512 bit client cert request
-$SSLEAY req $CONF \
- -new -sha256 -newkey 512 \
- -keyout c512-key.pem \
- -out c512-req.pem -nodes >/dev/null <<EOF
-AU
-Queensland
-.
-CryptSoft Pty Ltd
-.
-Client test cert (512 bit)
-
-
-
-EOF
-
-if [ $? != 0 ]; then
- echo problems generating 512 bit client cert request
- exit 1
-fi
-
-#sign it.
-echo
-echo signing 512 bit client cert
-$SSLEAY x509 -sha256 -days 36525 \
- -req \
- -CAcreateserial -CAserial ca-cert.srl \
- -CA ca-cert.pem -CAkey ca-key.pem \
- -in c512-req.pem -out client.pem
-
-if [ $? != 0 ]; then
- echo problems signing 512 bit client cert
- exit 1
-fi
-
-echo cleanup
-
-cat pca-key.pem >> pca-cert.pem
-cat ca-key.pem >> ca-cert.pem
-cat s512-key.pem >> server.pem
-cat s1024key.pem >> server2.pem
-cat c512-key.pem >> client.pem
-
-for i in pca-cert.pem ca-cert.pem server.pem server2.pem client.pem
-do
-$SSLEAY x509 -issuer -subject -in $i -noout >$$
-cat $$
-/bin/cat $i >>$$
-/bin/mv $$ $i
-done
-
-#/bin/rm -f *key.pem *req.pem *.srl
-
-echo Finished
-
diff --git a/util/mkrc.pl b/util/mkrc.pl
index c177349..b98a694 100755
--- a/util/mkrc.pl
+++ b/util/mkrc.pl
@@ -6,36 +6,45 @@
# in the file LICENSE in the source distribution or at
# https://www.openssl.org/source/license.html
+use strict;
+use warnings;
use lib ".";
use configdata;
use File::Spec::Functions;
-my $versionfile = catfile($config{sourcedir},"include/openssl/opensslv.h");
+my $versionfile = catfile( $config{sourcedir}, "include/openssl/opensslv.h" );
+
+my ( $ver, $v1, $v2, $v3, $v4, $beta, $version );
open FD, $versionfile or die "Couldn't open include/openssl/opensslv.h: $!\n";
-while(<FD>) {
+while (<FD>) {
if (/OPENSSL_VERSION_NUMBER\s+(0x[0-9a-f]+)/i) {
- $ver = hex($1);
- $v1 = ($ver>>28);
- $v2 = ($ver>>20)&0xff;
- $v3 = ($ver>>12)&0xff;
- $v4 = ($ver>> 4)&0xff;
- $beta = $ver&0xf;
- $version = "$v1.$v2.$v3";
- if ($beta==0xf) { $version .= chr(ord('a')+$v4-1) if ($v4); }
- elsif ($beta==0){ $version .= "-dev"; }
- else { $version .= "-beta$beta"; }
- last;
+ $ver = hex($1);
+ $v1 = ( $ver >> 28 );
+ $v2 = ( $ver >> 20 ) & 0xff;
+ $v3 = ( $ver >> 12 ) & 0xff;
+ $v4 = ( $ver >> 4 ) & 0xff;
+ $beta = $ver & 0xf;
+ $version = "$v1.$v2.$v3";
+ if ( $beta == 0xf ) {
+ $version .= chr( ord('a') + $v4 - 1 ) if ($v4);
+ } elsif ( $beta == 0 ) {
+ $version .= "-dev";
+ } else {
+ $version .= "-beta$beta";
+ }
+ last;
}
}
close(FD);
-$filename = $ARGV[0]; $filename =~ /(.*)\.([^.]+)$/;
-$basename = $1;
-$extname = $2;
+my $filename = $ARGV[0];
+$filename =~ /(.*)\.([^.]+)$/;
+my $basename = $1;
+my $extname = $2;
-if ($extname =~ /dll/i) { $description = "OpenSSL shared library"; }
-else { $description = "OpenSSL application"; }
+my $description = "OpenSSL application";
+$description = "OpenSSL shared library" if $extname =~ /dll/i;
print <<___;
#include <winver.h>
diff --git a/util/point.sh b/util/point.sh
deleted file mode 100755
index da39899..0000000
--- a/util/point.sh
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-rm -f "$2"
-if test "$OSTYPE" = msdosdjgpp || test "x$PLATFORM" = xmingw ; then
- cp "$1" "$2"
-else
- ln -s "$1" "$2"
-fi
-echo "$2 => $1"
-
diff --git a/util/selftest.pl b/util/selftest.pl
deleted file mode 100644
index d1d1159..0000000
--- a/util/selftest.pl
+++ /dev/null
@@ -1,207 +0,0 @@
-#! /usr/bin/env perl
-# Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.
-#
-# Licensed under the OpenSSL license (the "License"). You may not use
-# this file except in compliance with the License. You can obtain a copy
-# in the file LICENSE in the source distribution or at
-# https://www.openssl.org/source/license.html
-
-# Run the test suite and generate a report
-
-if (! -f "Configure") {
- print "Please run perl util/selftest.pl in the OpenSSL directory.\n";
- exit 1;
-}
-
-my $report="testlog";
-my $os="??";
-my $version="??";
-my $platform0="??";
-my $platform="??";
-my $options="??";
-my $last="??";
-my $ok=0;
-my $cc="cc";
-my $cversion="??";
-my $sep="-----------------------------------------------------------------------------\n";
-my $not_our_fault="\nPlease ask your system administrator/vendor for more information.\n[Problems with your operating system setup should not be reported\nto the OpenSSL project.]\n";
-
-open(OUT,">$report") or die;
-
-print OUT "OpenSSL self-test report:\n\n";
-
-$uname=`uname -a`;
-$uname="??\n" if $uname eq "";
-
-$c=`sh config -t`;
-foreach $_ (split("\n",$c)) {
- $os=$1 if (/Operating system: (.*)$/);
- $platform0=$1 if (/Configuring for (.*)$/);
-}
-
-system "sh config" if (! -f "Makefile");
-
-if (open(IN,"<Makefile")) {
- while (<IN>) {
- $version=$1 if (/^VERSION=(.*)$/);
- $platform=$1 if (/^PLATFORM=(.*)$/);
- $options=$1 if (/^OPTIONS=(.*)$/);
- $cc=$1 if (/^CC= *(.*)$/);
- }
- close(IN);
-} else {
- print OUT "Error running config!\n";
-}
-
-$cversion=`$cc -v 2>&1`;
-$cversion=`$cc -V 2>&1` if $cversion =~ "[Uu]sage";
-$cversion=`$cc -V |head -1` if $cversion =~ "Error";
-$cversion=`$cc --version` if $cversion eq "";
-$cversion =~ s/Reading specs.*\n//;
-$cversion =~ s/usage.*\n//;
-$cversion =~ s|\R$||;
-
-if (open(IN,"<CHANGES")) {
- while(<IN>) {
- if (/\*\) (.{0,55})/ && !/applies to/) {
- $last=$1;
- last;
- }
- }
- close(IN);
-}
-
-print OUT "OpenSSL version: $version\n";
-print OUT "Last change: $last...\n";
-print OUT "Options: $options\n" if $options ne "";
-print OUT "OS (uname): $uname";
-print OUT "OS (config): $os\n";
-print OUT "Target (default): $platform0\n";
-print OUT "Target: $platform\n";
-print OUT "Compiler: $cversion\n";
-print OUT "\n";
-
-print "Checking compiler...\n";
-if (open(TEST,">cctest.c")) {
- print TEST "#include <stdio.h>\n#include <stdlib.h>\n#include <errno.h>\nmain(){printf(\"Hello world\\n\");}\n";
- close(TEST);
- system("$cc -o cctest cctest.c");
- if (`./cctest` !~ /Hello world/) {
- print OUT "Compiler doesn't work.\n";
- print OUT $not_our_fault;
- goto err;
- }
- system("ar r cctest.a /dev/null");
- if (not -f "cctest.a") {
- print OUT "Check your archive tool (ar).\n";
- print OUT $not_our_fault;
- goto err;
- }
-} else {
- print OUT "Can't create cctest.c\n";
-}
-if (open(TEST,">cctest.c")) {
- print TEST "#include <stdio.h>\n#include <stdlib.h>\n#include <openssl/opensslv.h>\nmain(){printf(OPENSSL_VERSION_TEXT);}\n";
- close(TEST);
- system("$cc -o cctest -Iinclude cctest.c");
- $cctest = `./cctest`;
- if ($cctest !~ /OpenSSL $version/) {
- if ($cctest =~ /OpenSSL/) {
- print OUT "#include uses headers from different OpenSSL version!\n";
- } else {
- print OUT "Can't compile test program!\n";
- }
- print OUT $not_our_fault;
- goto err;
- }
-} else {
- print OUT "Can't create cctest.c\n";
-}
-
-print "Running make...\n";
-if (system("make 2>&1 | tee make.log") > 255) {
-
- print OUT "make failed!\n";
- if (open(IN,"<make.log")) {
- print OUT $sep;
- while (<IN>) {
- print OUT;
- }
- close(IN);
- print OUT $sep;
- } else {
- print OUT "make.log not found!\n";
- }
- goto err;
-}
-
-# Not sure why this is here. The tests themselves can detect if their
-# particular feature isn't included, and should therefore skip themselves.
-# To skip *all* tests just because one algorithm isn't included is like
-# shooting mosquito with an elephant gun...
-# -- Richard Levitte, inspired by problem report 1089
-#
-#$_=$options;
-#s/no-asm//;
-#s/no-shared//;
-#s/no-krb5//;
-#if (/no-/)
-#{
-# print OUT "Test skipped.\n";
-# goto err;
-#}
-
-print "Running make test...\n";
-if (system("make test 2>&1 | tee maketest.log") > 255)
- {
- print OUT "make test failed!\n";
-} else {
- $ok=1;
-}
-
-if ($ok and open(IN,"<maketest.log")) {
- while (<IN>) {
- $ok=2 if /^platform: $platform/;
- }
- close(IN);
-}
-
-if ($ok != 2) {
- print OUT "Failure!\n";
- if (open(IN,"<make.log")) {
- print OUT $sep;
- while (<IN>) {
- print OUT;
- }
- close(IN);
- print OUT $sep;
- } else {
- print OUT "make.log not found!\n";
- }
- if (open(IN,"<maketest.log")) {
- while (<IN>) {
- print OUT;
- }
- close(IN);
- print OUT $sep;
- } else {
- print OUT "maketest.log not found!\n";
- }
-} else {
- print OUT "Test passed.\n";
-}
-err:
-close(OUT);
-
-print "\n";
-open(IN,"<$report") or die;
-while (<IN>) {
- if (/$sep/) {
- print "[...]\n";
- last;
- }
- print;
-}
-print "\nTest report in file $report\n";
-
-die if $ok != 2;
More information about the openssl-commits
mailing list